Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511418 - cannot sign a package as a regular user after su - user
Summary: cannot sign a package as a regular user after su - user
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 26
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 10:14 UTC by Karel Srot
Modified: 2018-05-29 12:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:40:51 UTC


Attachments (Terms of Use)

Description Karel Srot 2017-11-09 10:14:40 UTC
Description of problem:

The package built cannot be signed if I am switched to the user account
using su - and not via ssh directly.

# su - testuser -c 'rpmbuild -bb --sign testpkg.spec'

+ umask 022
+ cd /home/testuser/rpmbuild/BUILD
+ touch /tmp/testpkg.tmp
+ cp /tmp/testpkg.tmp .
+ exit 0
+ umask 022
+ cd /home/testuser/rpmbuild/BUILD
+ '[' /home/testuser/rpmbuild/BUILDROOT/testpkg-1.0-1.x86_64 '!=' / ']'
+ rm -rf /home/testuser/rpmbuild/BUILDROOT/testpkg-1.0-1.x86_64
++ dirname /home/testuser/rpmbuild/BUILDROOT/testpkg-1.0-1.x86_64
+ mkdir -p /home/testuser/rpmbuild/BUILDROOT
+ mkdir /home/testuser/rpmbuild/BUILDROOT/testpkg-1.0-1.x86_64
+ mkdir -p /home/testuser/rpmbuild/BUILDROOT/testpkg-1.0-1.x86_64/usr/local/
+ mv testpkg.tmp /home/testuser/rpmbuild/BUILDROOT/testpkg-1.0-1.x86_64/usr/local/
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip /usr/bin/strip
+ /usr/lib/rpm/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
+ /usr/lib/rpm/brp-python-hardlink
+ umask 022
+ cd /home/testuser/rpmbuild/BUILD
+ /usr/bin/rm -rf /home/testuser/rpmbuild/BUILDROOT/testpkg-1.0-1.x86_64
+ exit 0
/bin/sh: /dev/`ps -p $$ -o tty | tail -n 1`: No such file or directory

This is coming from /usr/lib/rpm/rpmpopt-4.13.0.2

/usr/lib/rpm/rpmpopt-4.13.0.2:	--pipe 'rpm --addsign `grep ".*: .*\.rpm$"|cut -d: -f2` < "/dev/"`ps -p $$ -o tty | tail -n 1`' \

If I ssh to the user account directly and run rpmbuild it works.

The must be related to the switch to pinentry as on RHEL-7 this scenario works fine.

Btw, rpm doesn't have a package dependency on pinentry and therefore the package signing could fail if it is not installed. gnupg2 has pinetry only as suggest.

Comment 1 Karel Srot 2017-11-09 10:14:59 UTC
Forgot to mention package version rpm-4.13.0.2-1.fc26.x86_64

Comment 2 Fedora End Of Life 2018-05-03 08:23:30 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:40:51 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.